Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ActivityFailureEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.ActivityEvent
                          org.apache.ode.bpel.evt.ActivityFailureEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ActivityFailureEvent

extends ActivityEvent

Event sent when the activity enters the failure state and requires recovery.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ActivityFailureEvent()`
`ActivityFailureEvent(java.lang.String reason)`

Method Summary
`java.lang.String` | `getFailureReason()`
`void` | `setFailureReason(java.lang.String reason)`

Methods inherited from class org.apache.ode.bpel.evt.ActivityEvent
`getActivityDeclarationId, getActivityId, getActivityName, getActivityType, getType, setActivityDeclarationId, setActivityId, setActivityName, setActivityType`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivityFailureEvent

    public ActivityFailureEvent()

### ActivityFailureEvent

    public ActivityFailureEvent(java.lang.String reason)

Method Detail

### getFailureReason

    public java.lang.String getFailureReason()

### setFailureReason

    public void setFailureReason(java.lang.String reason)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD